﻿@model MessageCreateViewModel

<form asp-action="Create" asp-controller="Message" type="post" enctype="multipart/form-data">

    <div asp-validation-summary="ModelOnly" class="text-danger"></div>
    <input asp-for="TopicID" type="hidden" />

    <div class="form-group">
        <label asp-for="Text">Текст сообщения</label>
        <input asp-for="Text" type="text" />
        <span asp-validation-for="Text" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="Attachments">Картиночки</label>
        <input asp-for="Attachments" type="file" id="files" multiple onchange="checkUploadSize()" />
        <span asp-validation-for="Attachments" class="text-danger"></span>
    </div>

    <div style="display: flex; gap: 20px;">
        <button type="submit" class="btn btn-success">Отправить сообщение</button>

        @{
            if (@TempData.Peek("TopicID") != null)
            {
                <a asp-controller="Topic" asp-action="Details" asp-route-id="@TempData.Peek("TopicID")">Вернуться к теме</a>
            }
        }
    </div>
</form>

<script type="text/javascript">

    const checkUploadSize = () => {
        const uploadedFiles = document.getElementById('files');

        if (uploadedFiles.files.length > 4) {
            alert("Максимальное количество файлов для одного сообщения - 4");
            uploadedFiles.value = null;
            return;
        }

        for (let i = 0; i < uploadedFiles.files.length; i++) {
            const image = uploadedFiles.files[i];

            console.log(image);

            if (image.type !== "image/jpeg" && image.type !== "image/png") {
                alert("Загружать можно только изображения формата png/jpg/jpeg");
                uploadedFiles.value = null;
                return;
            }

            if (image.size > 8388608) {
                alert("Максимальный размер одного изображения - 8МБ");
                uploadedFiles.value = null;
                return;
            }

        }
    }
</script>
